Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.0 generated on October 9 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.query
Class KodoQuery

    java.lang.Object
      kodo.jdo.QueryImpl
          kodo.query.KodoQuery

All Implemented Interfaces:
  Serializable, Query, KodoQuery, org.apache.openjpa.kernel.QueryFlushModes

Deprecated.

    public class KodoQuery

extends kodo.jdo.QueryImpl

A Kodo 3.x backwards-compatible interface to queries.

See Also:
  Serialized Form

Field Summary
`static int` | `QUERY_FLUSH_FALSE` Deprecated.
`static int` | `QUERY_FLUSH_TRUE` Deprecated.
`static int` | `QUERY_FLUSH_WITH_CONNECTION` Deprecated.

Fields inherited from interface kodo.jdo.KodoQuery
`LANG_JDO_SQL`

Fields inherited from interface javax.jdo.Query
`JDOQL, SQL`

Fields inherited from interface org.apache.openjpa.kernel.QueryFlushModes
`FLUSH_FALSE, FLUSH_TRUE, FLUSH_WITH_CONNECTION`

Constructor Summary
`KodoQuery(KodoPersistenceManager pm, org.apache.openjpa.kernel.Query query)` Deprecated.

Method Summary
`Collection` | `getAggregateListeners()` Deprecated.
`long` | `getEndIndex()` Deprecated.
`FetchConfiguration` | `getFetchConfiguration()` Deprecated.
`Collection` | `getFilterListeners()` Deprecated.
`protected PersistenceManagerFactoryImpl` | `getPersistenceManagerFactoryImpl()` Deprecated.
`long` | `getStartIndex()` Deprecated.

Methods inherited from class kodo.jdo.QueryImpl
`addAggregateListener, addExtension, addFilterListener, close, closeAll, compile, declareImports, declareParameters, declareVariables, deletePersistentAll, deletePersistentAll, deletePersistentAll, equals, execute, execute, execute, execute, executeWithArray, executeWithMap, getCandidateClass, getCandidateCollection, getCandidateExtent, getDataStoreActions, getDelegate, getEndRange, getFetchPlan, getFilter, getGrouping, getIgnoreCache, getImports, getLanguage, getOrdering, getParameters, getPersistenceManager, getQueryString, getRange, getResult, getResultClass, getStartRange, getVariables, hashCode, hasSubclasses, isUnique, isUnmodifiable, removeAggregateListener, removeFilterListener, setCandidates, setCandidates, setClass, setExtensions, setFilter, setGrouping, setIgnoreCache, setOrdering, setRange, setRange, setResult, setResultClass, setUnique, setUnmodifiable, updatePersistentAll, updatePersistentAll, updatePersistentAll`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### QUERY_FLUSH_TRUE

    public static final int QUERY_FLUSH_TRUE

  Deprecated.
  See Also:
    Constant Field Values

### QUERY_FLUSH_FALSE

    public static final int QUERY_FLUSH_FALSE

  Deprecated.
  See Also:
    Constant Field Values

### QUERY_FLUSH_WITH_CONNECTION

    public static final int QUERY_FLUSH_WITH_CONNECTION

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### KodoQuery

    public KodoQuery(KodoPersistenceManager pm,
                     org.apache.openjpa.kernel.Query query)

  Deprecated.

Method Detail

### getFetchConfiguration

    public FetchConfiguration getFetchConfiguration()

  Deprecated.

### getPersistenceManagerFactoryImpl

    protected PersistenceManagerFactoryImpl getPersistenceManagerFactoryImpl()

  Deprecated.
  Overrides:
    `getPersistenceManagerFactoryImpl` in class `kodo.jdo.QueryImpl`

### getFilterListeners

    public Collection getFilterListeners()

  Deprecated.

### getAggregateListeners

    public Collection getAggregateListeners()

  Deprecated.

### getStartIndex

    public long getStartIndex()

  Deprecated.

### getEndIndex

    public long getEndIndex()

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.0 generated on October 9 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.